Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.graph
Class PrefixMappingSDB

    java.lang.Object
      com.hp.hpl.jena.shared.impl.PrefixMappingImpl
          com.hp.hpl.jena.sdb.graph.PrefixMappingSDB

All Implemented Interfaces:
  com.hp.hpl.jena.shared.PrefixMapping

    public class PrefixMappingSDB

extends com.hp.hpl.jena.shared.impl.PrefixMappingImpl

A prefix mapping that is backed by a database table

Author:
  Andy Seaborne

Nested Class Summary

Nested classes/interfaces inherited from interface com.hp.hpl.jena.shared.PrefixMapping
`com.hp.hpl.jena.shared.PrefixMapping.Factory, com.hp.hpl.jena.shared.PrefixMapping.IllegalPrefixException, com.hp.hpl.jena.shared.PrefixMapping.JenaLockedException`

Field Summary
`static int` | `prefixColWidth`
`static String` | `prefixTableName`
`static int` | `uriColWidth`

Fields inherited from interface com.hp.hpl.jena.shared.PrefixMapping
`Extended, Standard`

Constructor Summary
`PrefixMappingSDB(String graphURI, SDBConnection sdb)`

Method Summary
`com.hp.hpl.jena.shared.PrefixMapping` | `removeNsPrefix(String prefix)`

Methods inherited from class com.hp.hpl.jena.shared.impl.PrefixMappingImpl
`expandPrefix, getNsPrefixMap, getNsPrefixURI, getNsURIPrefix, isNiceURI, lock, qnameFor, samePrefixMappingAs, setNsPrefix, setNsPrefixes, setNsPrefixes, shortForm, toString, withDefaultMappings`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prefixTableName

    public static final String prefixTableName

See Also:
  Constant Field Values

### prefixColWidth

    public static final int prefixColWidth

See Also:
  Constant Field Values

### uriColWidth

    public static final int uriColWidth

See Also:
  Constant Field Values

Constructor Detail

### PrefixMappingSDB

    public PrefixMappingSDB(String graphURI,
                            SDBConnection sdb)

Method Detail

### removeNsPrefix

    public com.hp.hpl.jena.shared.PrefixMapping removeNsPrefix(String prefix)

  Specified by:
    `removeNsPrefix` in interface `com.hp.hpl.jena.shared.PrefixMapping`
  Overrides:
    `removeNsPrefix` in class `com.hp.hpl.jena.shared.impl.PrefixMappingImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.